## jmunit.framework.cldc11
Class Test

    java.lang.Object
      javax.microedition.midlet.MIDlet
          jmunit.framework.cldc11.Assertion
              jmunit.framework.cldc11.Test

Direct Known Subclasses:
  TestCase, TestRunner, TestSuite

    public abstract class Test

extends Assertion

The Test is a abstract class that has the main implementation to create a executing test class or a utility class to execute others. The MIDlet methods as startApp are localized here.

Since:
  JMUnit 1.0
Author:
  Brunno Silva

Field Summary
`protected java.lang.String` `name` The name of the test.
`protected TestResult` `results` The TestResult object that will handle test result updates.

Constructor Summary
`Test(java.lang.String name)` The constructor.

Method Summary
`abstract int` `countTestCases()` Counts the number of test cases that will be run by this test.
`void` `destroyApp(boolean unconditional)` It's an empty method.
`void` `doStart()` The doStart method is a template method that is called when an app is started.
`java.lang.String` `getName()` This method gets the names of the test.
`void` `pauseApp()` It's an empty method.
`abstract void` `run(TestResult result)` Runs a test and collects its result in a TestResult instance.
`void` `startApp()` The startApp puts the screen in the simulator interface.
`void` `test()` This convenience method runs all the tests and creates a TestResult if necessary.

Methods inherited from class jmunit.framework.cldc11.Assertion

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, fail, fail, fail, fail, fail, fail, fail, fail, fail`

Methods inherited from class javax.microedition.midlet.MIDlet
`getAppProperty, notifyDestroyed, notifyPaused, resumeRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the test.

### results

    protected TestResult results

  The TestResult object that will handle test result updates.

Constructor Detail

### Test

    public Test(java.lang.String name)

  The constructor.

  Parameters:
    `name` - the name of the executing class.
  Since:
    JMUnit 1.0

Method Detail

### startApp

    public final void startApp()

  The startApp puts the screen in the simulator interface.

  Specified by:
    `startApp` in class `javax.microedition.midlet.MIDlet`
  Since:
    JMUnit 1.0

### doStart

    public void doStart()

  The doStart method is a template method that is called when an app is started. A class should override it if it needs to do something special when a MIDlet starts.

  Since:
    JMUnit 1.1

### pauseApp

    public final void pauseApp()

  It's an empty method.

  Specified by:
    `pauseApp` in class `javax.microedition.midlet.MIDlet`
  Since:
    JMUnit 1.0

### destroyApp

    public final void destroyApp(boolean unconditional)

  It's an empty method.

  Specified by:
    `destroyApp` in class `javax.microedition.midlet.MIDlet`
  Parameters:
    `unconditional` - an irrelevant boolean.
  Since:
    JMUnit 1.0

### test

    public final void test()

  This convenience method runs all the tests and creates a TestResult if necessary.

  Since:
    JMUnit 1.0

### getName

    public final java.lang.String getName()

  This method gets the names of the test.

  Returns:
    The test name.
  Since:
    JMUnit 1.1.

### countTestCases

    public abstract int countTestCases()

  Counts the number of test cases that will be run by this test.

  Since:
    JMUnit 1.1

### run

    public abstract void run(TestResult result)

  Runs a test and collects its result in a TestResult instance.

  Since:
    JMunit 1.1